Proxmox VE(PVE) 虚拟机黑群晖启用vmxnet3网卡支持,3615、3617、918+、1019+ 6.2.2非Intel网卡引导 jun 1.04b extra.lzma 0.5

manning 2021-03-3111:56:34NAS 虚拟化Proxmox VE(PVE) 虚拟机黑群晖启用vmxnet3网卡支持,3615、3617、918+、1019+ 6.2.2非Intel网卡引导 jun 1.04b extra.lzma 0.5已关闭评论4,971阅读模式

PVE下面的E1000网卡的效率实在太慢了。基本千兆也就跑出10MB/s的速度,网上说启用vmxnet3网卡模式会好一些,而且CPU占用也会低很多。

但黑群918+实测却不支持,表现为直接就是找不到DSM。网上搜索一下,可以通过增加extra.lzma 0.5 来实现支持。

Proxmox VE(PVE) 虚拟机黑群晖启用vmxnet3网卡支持,3615、3617、918+、1019+ 6.2.2非Intel网卡引导 jun 1.04b   extra.lzma 0.5

具体可以看下这个帖子里面有说明,主要是6.2.2的引导方式的变化和jun1.04b自带驱动的补充。https://xpenology.com/forum/topic/21663-driver-extension-jun-103b104b-for-dsm622-for-3615xs-3617xs-918/

简单分享一下修改过程:
1.制作jun的1.04b引导,修改VID和PID,序列号洗不洗白自己定。

2.下载对应版本的DSM的pat文件如:DSM_DS918+_24922.pat。用解压软件提取pat文件里的zImage和rd.gz两个文件
DSM下载地址:https://archive.synology.com/download/Os/DSM/6.2.2-24922

3.将这个两个文件替换做好的u盘引导盘第二个分区里的同名文件。如果你要装918+就用DSM_DS918+_24922.pat提取的文件做替换。1019+则用DSM_DS1019+_24922.pat提取的文件做替换

4.下载驱动补充包,地址就是在上面那个地址。我下了下面2个。选一个。有什么区别,看上面地址的帖子。优先试下std这个驱动包。

0.8_syno ds918+ - extra.lzma/extra2.lzma for loader 1.04b_mod ds918+ DSM 6.2.2 v0.8_syno
http://s000.tinyupload.com/?file_id=27662133308664190275
SHA256: 21B0CCC8BE24A71311D3CC6D7241D8D8887BE367C800AC97CE2CCB84B48D869A

 

0.8_std ds918+ - extra.lzma/extra2.lzma for loader 1.04b_mod ds918+ DSM 6.2.2 v0.8_std
http://s000.tinyupload.com/?file_id=00354004133254441591
SHA256: F611BCA5457A74AE65ABC4596F1D0E6B36A2749B16A827087D97C1CAF3FEA89A

 

5.下载驱动包后,可以用UlrtaISO将zImage、rd.gz、extra.lzma和extra2.lzma共4个文件,生成一个新的CDROM ISO文件,然后通过PVE的后台加载这个CDROM作为第二CDROM

Proxmox VE(PVE) 虚拟机黑群晖启用vmxnet3网卡支持,3615、3617、918+、1019+ 6.2.2非Intel网卡引导 jun 1.04b   extra.lzma 0.5

6、主CDROM可以使用大白菜PE生成一个PE的ISO作为启动盘。

Proxmox VE(PVE) 虚拟机黑群晖启用vmxnet3网卡支持,3615、3617、918+、1019+ 6.2.2非Intel网卡引导 jun 1.04b   extra.lzma 0.5

这样通过启动PE的方式来实现替换这4个文件。先删除下面4个文件,然后才从CDROM里面做替换,不然会出现空间不够。

Proxmox VE(PVE) 虚拟机黑群晖启用vmxnet3网卡支持,3615、3617、918+、1019+ 6.2.2非Intel网卡引导 jun 1.04b   extra.lzma 0.5

Proxmox VE(PVE) 虚拟机黑群晖启用vmxnet3网卡支持,3615、3617、918+、1019+ 6.2.2非Intel网卡引导 jun 1.04b   extra.lzma 0.5

补充一下:安装918+和1019+有硬件要求,主要是cpu,4代酷睿后才支持。网上可以找下配置。
我的测试机器是i3 9100,B365主板自带Intel网卡,然后通过vmxnet3方式来给虚拟机DSM运行。替换后,一次启动成功。

Proxmox VE(PVE) 虚拟机黑群晖启用vmxnet3网卡支持,3615、3617、918+、1019+ 6.2.2非Intel网卡引导 jun 1.04b   extra.lzma 0.5

目前jun 1.04只支持6.2.2,因此,千万别升级到6.2.4,不然直接又会启动不了。按老外的说法,6.2.4因为启动包不同,所以无法用这个驱动。

manning
  • 本文由 发表于 2021-03-3111:56:34
  • 转载请务必保留本文链接:https://www.idigi.net/362.html